﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

using Java.Util;
using Android.Bluetooth;
using System.Collections;
using System.Runtime.Remoting.Metadata.W3cXsd2001;
using Com.Rscja.Deviceapi;


namespace xm_Fingerpint
{
	[Activity (Label = "get")]			
	public class data : Activity
	{

		TextView locatnum;
		TextView modenum;
		Button btnimport;
		Button btnclear;
		Button btndataclear;
		ListView lv;

		//	ArrayList la=new ArrayList();
		//List<IDictionary<string, object>> datalist;
		SimpleAdapter adapter;

		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);
			SetContentView (Resource.Layout.Data);
			// Create your application here

			InitView ();
		}
		void InitView()
			{ 

			//la1= new JavaDictionary<IDictionary<string,object>> ();
			locatnum = FindViewById<TextView> (Resource.Id.dataeditlocationnum);
			modenum = FindViewById<TextView> (Resource.Id.dataeditmodecount);
			btnimport = FindViewById<Button> (Resource.Id.databtnimport);
			btnclear = FindViewById<Button> (Resource.Id.databtnclear);
			btndataclear = FindViewById<Button> (Resource.Id.databtndataclear);
			lv = FindViewById<ListView> (Resource.Id.listView1);

			btnimport.Click += new EventHandler (delegate {
				int count=0;
				string[] list=	PubClass.GetFile ();
				string[] tmplist;
				foreach (string li in list) {
					tmplist = (li.Substring (0, li.Length - 4)).Split('_');
					string da=PubClass.ReadLog(li);
					if(da=="")
						continue;
					if(PubClass.fp.DownChar(Fingerprint.BufferEnum.B1,da))
					{
						if(PubClass.fp.StorChar(Fingerprint.BufferEnum.B1,int.Parse(tmplist[0]))){
							count++;
						}
					}			


				}

				modenum.Text = PubClass.fp.ValidTempleteNum ().ToString ();
				Toast.MakeText(this,GetString(Resource.String.dataimportsucc)+count.ToString (),ToastLength.Long).Show ();

			});

			btnclear.Click += new EventHandler (delegate {
				if(PubClass.fp.Empty())
				{
					modenum.Text = PubClass.fp.ValidTempleteNum ().ToString ();
					Toast.MakeText(this,GetString(Resource.String.dataclearsucc),ToastLength.Long).Show ();
					return;


				}
				else
				{
					Toast.MakeText(this,GetString(Resource.String.dataclearfail),ToastLength.Long).Show ();
				}
			});
		
			btndataclear.Click += new EventHandler (delegate {

				PubClass.DelFile ();
				lv.Adapter =null;
				string[] list=	PubClass.GetFile ();
				if(list==null)
					locatnum.Text="0";
				else
				locatnum.Text=list.Length.ToString ();

			});
		}



		protected override void OnResume()
		{
			base.OnResume ();
			modenum.Text = PubClass.fp.ValidTempleteNum ().ToString ();
			string[] tmplist=null;
			string[] list=	PubClass.GetFile ();
			if (list == null) {
				locatnum.Text = "0";
				return;
			}
			　var datalist= new List<IDictionary<string, object>>();		　


			foreach (string li in list) {
				tmplist = (li.Substring (0, li.Length - 4)).Split('_');
				　var  item= new JavaDictionary<string, object>();　　
				item.Add("id", tmplist[0]);
				item.Add("name", tmplist[1]);　
				item.Add("time",tmplist[2]);
				　datalist.Add(item);

			}
			adapter = new SimpleAdapter(this, datalist, Resource.Layout.list,
				new String[] { "id", "name", "time" },
				new int[] { Resource.Id.listid, Resource.Id.listname,Resource.Id.listtime
				});
			lv.Adapter = adapter;
			locatnum.Text = list.Length.ToString ();
			//GetData ();
		}

	}
}

